petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSAdaptSetStepLimits

Set minimum and maximum step sizes to be considered by the controller

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetStepLimits(TSAdapt adapt,PetscReal hmin,PetscReal hmax)

Logically Collective

### Input Arguments

| adapt | - time step adaptivity context, usually gotten with TSGetAdapt()
| hmin | - minimum time step
| hmax | - maximum time step

### Options Database Keys

| -ts_adapt_dt_min | - minimum time step
| -ts_adapt_dt_max | - maximum time step

### See Also

TSAdapt

Level:intermediate
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html